<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (13.0.1) on Sat Mar 21 22:09:53 CET 2020 -->
<title>Fenetre</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-03-21">
<meta name="description" content="declaration: package: fr.JeuEchec.christophegarcia, class: Fenetre">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":10,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fenetre.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">fr.JeuEchec.christophegarcia</a></div>
<h1 title="Class Fenetre" class="title">Class Fenetre</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.awt.Component
<div class="inheritance">java.awt.Container
<div class="inheritance">java.awt.Window
<div class="inheritance">java.awt.Frame
<div class="inheritance">javax.swing.JFrame
<div class="inheritance">fr.JeuEchec.christophegarcia.Fenetre</div>
</div>
</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code>, <code>javax.accessibility.Accessible</code>, <code>javax.swing.RootPaneContainer</code>, <code>javax.swing.WindowConstants</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Fenetre</span>
extends javax.swing.JFrame</pre>
<div class="block"><div style="background-color:black; border-radius:30px;"><font color="gold">
 
 <h1 style="text-align:center; font-size:250%;">Règles du jeu</h1>
 
 <ul style="list-style-type:none;">
 
 <li><h2>Le déplacement des pièces :</h2>
 
 <ul style="list-style-type:none;">
 <li>Les pions : <ul style="list-style-type:none;"><li><font color="white">Le pion avance uniquement devant lui d’une seule case. 
 Lors de son premier déplacement, il peut exceptionnellement avancer d’une ou de deux cases. 
 Pour prendre une pièce ennemie, il se déplace seulement en diagonale d’une seule case.</font></li></ul></li>
 
 <li>La tour : <ul style="list-style-type:none;"><li><font color="white">La tour se déplace horizontalement ou verticalement 
 d’autant de cases que vous le souhaitez.</font></li></ul></li>
 
 <li>Le cavalier : <ul style="list-style-type:none;"><li><font color="white">Le cavalier saute par dessus les cases qui 
 entourent sa position initiale (même s’il y a des pièces du même joueur) pour se poser sur une des cases qui lui est possible, 
 c'est-à-dire, une des cases de couleur opposée, accessible en un déplacement vertical de 2 cases + un déplacement horizontal 
 de 1 case, ou en un déplacement horizontal de 2 cases + un déplacement vertical de 1 case.</font></li></ul></li>
 
 <li>Le fou : <ul style="list-style-type:none;"><li><font color="white">Le fou se déplace diagonalement d’autant de cases que 
 vous le souhaitez.</font></li></ul></li>
 
 <li>La reine : <ul style="list-style-type:none;"><li><font color="white">La reine se déplace diagonalement, horizontalement 
 ou verticalement d’autant de cases que vous le souhaitez.</font></li></ul></li>
 
 <li>Le roi : <ul style="list-style-type:none;"><li><font color="white">Le roi se déplace sur n’importe quelle case adjacente 
 à sa position initiale.</font></li></ul></li>
 </ul>
 </li>
 <li><h2>Les coups spéciaux :</h2>
 <p>
 <ul style="list-style-type:none;">
 
 <li>Le roque : <ul style="list-style-type:none;"><li><font color="white">Le roque permet de déplacer le roi de 2 cases vers 
 une des 2 tours et de positionner la tour en question derrière le roi. Il ne peut plus être effectué si le roi ou la tour en 
 question ont effectué un déplacement plus tôt dans la partie. Il est momentanément empêché si le roi est échec, ou si les cases 
 de déplacement du roi sont contrôlées, ou s’il y a des pièces entre le roi et la tour.</font></li></ul></li>
 
 <li>La promotion : <ul style="list-style-type:none;"><li><font color="white">Lorsqu'un pion parvient jusqu’à la dernière rangée, 
 alors il se transforme en reine, en tour, en fou ou en cavalier. La pièce promue est immédiatement opérationnelle.
 </font></li></ul></li>
 
 <li>La prise en passant : <ul style="list-style-type:none;"><li><font color="white">Lorsqu’un pion (ex: blanc) se déplace de 
 deux cases (au cours de son premier déplacement), le joueur adverse peut le prendre "en passant" avec le pion (ex: noir) situé 
 juste à côté du pion blanc en se déplacant juste derrière ce dernier. Ce coup n'est plus valable dans le futur si le joueur 
 adverse décide d'effectuer un autre coup. Mais l'occasion peut éventuellement se représenter.</font></li></ul></li>
 </ul>
 </p>
 </li>
 <li><h2>Le déroulement du jeu :</h2>
 
 <ul style="display:flex; list-style-type:none;">
 
 <li>&nbsp;</li><ul style="list-style-type:none;"><li><font color="white">Au début d’une partie, ce sont toujours les blancs qui 
 commencent. Lors d’un tour de jeu, le joueur peut effectuer soit un déplacement, soit une prise soit un coup spécial.
 </font></li></ul></li>
 </ul>
 </li>
 <li><h2>Le but du jeu :</h2>
 <p>
 <ul style="list-style-type:none;">
 
 <li>Échec : <ul style="list-style-type:none;"><li><font color="white">Chaque fois que vous pouvez prendre le roi de votre 
 adversaire à votre prochain coup, vous devez le prévenir en annonçant "échec". Il doit alors tenter de sauver son roi lors de 
 son tour.</font></li></ul></li>
 
 <li>Échec et mat : <ul style="list-style-type:none;"><li><font color="white">Si vous avez annoncé "échec" et qu'il ne parvient 
 pas à sauver son roi, alors il est "échec et mat". Vous remportez la partie.</font></li></ul></li>
 
 <li>Pat : <ul style="list-style-type:none;"><li><font color="white">Une partie peut également se terminer sur un match nul. 
 Si lors du tour d’un joueur, celui-ci ne peut déplacer aucune de ses pièces et que son roi n’est pas en échec, on dit alors 
 que la partie se termine par un « pat ».</font></li></ul></li>
 </ul>
 </p>
 </li>
 </ul>
 
 <p style="text-align:center; font-size:150%;"><b>Good Luck. Have Fun.</b></p>
 
 </font></div></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Christophe</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#fr.JeuEchec.christophegarcia.Fenetre">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h2>
<a id="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>java.awt.Window.Type</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h2>
<a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>java.awt.Component.BaselineResizeBehavior</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Frame</h3>
<a id="fields.inherited.from.class.java.awt.Frame">
<!--   -->
</a><code>CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a><code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<a id="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a><code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,java.lang.String)">Fenetre</a></span>&#8203;(java.lang.String&nbsp;nomJoueur1,
java.lang.String&nbsp;nomJoueur2)</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#echec(java.lang.String,int,int)">echec</a></span>&#8203;(java.lang.String&nbsp;couleurRoi,
int&nbsp;colonneR,
int&nbsp;ligneR)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Main</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#piecesCapturees()">piecesCapturees</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCouleurEchiquier()">setCouleurEchiquier</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javax.swing.JFrame</h3>
<a id="methods.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a><code>getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Frame</h3>
<a id="methods.inherited.from.class.java.awt.Frame">
<!--   -->
</a><code>addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<a id="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;java.awt.MenuContainer</h3>
<a id="methods.inherited.from.class.java.awt.MenuContainer">
<!--   -->
</a><code>getFont, postEvent</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(java.lang.String,java.lang.String)">Fenetre</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Fenetre</span>&#8203;(<span class="arguments">java.lang.String&nbsp;nomJoueur1,
java.lang.String&nbsp;nomJoueur2)</span></div>
<div class="block">Constructor</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments">java.lang.String[]&nbsp;args)</span></div>
<div class="block">Main</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - - arguments</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCouleurEchiquier()">setCouleurEchiquier</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setCouleurEchiquier</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="piecesCapturees()">piecesCapturees</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">piecesCapturees</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="echec(java.lang.String,int,int)">echec</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">echec</span>&#8203;(<span class="arguments">java.lang.String&nbsp;couleurRoi,
int&nbsp;colonneR,
int&nbsp;ligneR)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fenetre.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
